Description

Description

Tampilan dashboard Good Receipt digunakan untuk menampilkan ringkasan jumlah dokumen yang membutuhkan approval, serta
daftar dokumen dengan status approval-nya.

1. Buat halaman Reminder Dashboard di modul Inventory sesuai layout yang disediakan.

2. Tambahkan empat summary card di bagian atas dengan data berikut:

+ Submit: 300 (ikon folder, warna biru 3B82F6) -> DocStatus yang Submit

* Approved: 150 (ikon loading, warna oranye 10B981) -> DocStatus yang Approved
* Revise: 100 (ikon check, warna hijau F59E0B) -> DocStatus yang Revise

* Cancel: 50 (ikon stop, warna merah EF4444) -> DocStatus yang Cancel

3. Tampilkan tabel Document Approval di bawah summary card dengan kolom:
* No

* Document Number

* Document Type

* Document Date

* Document Status

* Description

» Action (ikon untuk Tracking & Prosess)

4. Tambahkan filter di atas tabel:
* Dropdown Document Type

+ Date Range (From — To)

* Dropdown Status

5. Aktifkan pagination dengan tombol Previous, Next, dan nomor halaman (25 data per halaman).
6. Urutan default data berdasarkan Document Date (terbaru di atas).

7. Default status tampilan awal adalah “Draft”.

8. Pastikan semua ikon berfungsi sesuai aksi (contoh: view detail atau edit).

9. Gunakan tema dan warna yang konsisten dengan desain utama.

10. Tampilkan pesan “No document found in this period.” jika data kosong.

Notes : Untuk ini berada di home dan hanya user yang memiliki access saja untuk di tampilkan Reminder Good Receiptnya
History

#1 - 10/30/2025 01:42 PM - Mr Dhafin

- Status changed from New to Assigned

#2 - 10/30/2025 01:47 PM - Mr Dhafin

Untuk Document yang di tampilkan cukup 15 aja ya mas

#3 - 10/30/2025 02:08 PM - haykal haykal

- Description updated
https://tulisan-dev.minovais.com/

Dokumen yg akan muncul disini adalah dokumen Goods Receipt

Di widget ini tolong yg ditampilkan hanya yg document statusnya Submit.
Tabel: PTRMATERIALHEAD

DocType: RCSP

DocStatus = 2 (Submit)

Terimakasih.

#4 - 10/30/2025 02:10 PM - haykal haykal

Dear Developer,

Untk ini telah saya buatkan FeaturelD di tabel PCUSTFEATURE
FeaturelD: 7100

Tolong dilengkapi isian dari WidgetFunction yg ada di tabel tersebut.

(Kalau ada pertanyaan terkait function boleh ditanyakan ke Mbak Yaya, Bapak, atau Mbak Yomma ya)

Terimakasih.

Files

Reminder Good Receipt.pdf 660 KB 10/30/2025 Mr Dhafin

10/31/2025 22


http://www.tcpdf.org

